<?php
/**
 * BannersApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Cms.
 *
 * Управление контентом
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\CmsClient;

use \Ensi\CmsClient\Configuration;
use \Ensi\CmsClient\ApiException;
use \Ensi\CmsClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * BannersApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\CmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class BannersApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createBanners
     *
     * Создание объекта типа Banner.
     *
     */
    public function testCreateBanners()
    {
    }

    /**
     * Test case for deleteBannerFiles
     *
     * Удаление файла для объекта типа Banner.
     *
     */
    public function testDeleteBannerFiles()
    {
    }

    /**
     * Test case for deleteBanners
     *
     * Удаление объекта типа Banner.
     *
     */
    public function testDeleteBanners()
    {
    }

    /**
     * Test case for replaceBanners
     *
     * Замена объекта типа Banner.
     *
     */
    public function testReplaceBanners()
    {
    }

    /**
     * Test case for searchBannerTypes
     *
     * Поиск объектов типа BannerType.
     *
     */
    public function testSearchBannerTypes()
    {
    }

    /**
     * Test case for searchBanners
     *
     * Поиск объектов типа Banner.
     *
     */
    public function testSearchBanners()
    {
    }

    /**
     * Test case for searchOneBanners
     *
     * Поиск объекта типа Banner.
     *
     */
    public function testSearchOneBanners()
    {
    }

    /**
     * Test case for uploadBannerFiles
     *
     * Загрузка файла для объекта типа Banner.
     *
     */
    public function testUploadBannerFiles()
    {
    }
}
